# eric7.WebBrowser.OpenSearch.OpenSearchReader

Module implementing a reader for open search engine descriptions.

### Global Attributes

None

### Classes

OpenSearchReader | Class implementing a reader for open search engine descriptions.

### Functions

None

## OpenSearchReader

Class implementing a reader for open search engine descriptions.

### Derived from

QXmlStreamReader

### Class Attributes

None

### Class Methods

None

### Methods

__read | Private method to read and parse the description.
read | Public method to read the description.

### Static Methods

None

#### OpenSearchReader.__read

__read()

Private method to read and parse the description.

Return:
  search engine object (OpenSearchEngine)

#### OpenSearchReader.read

read(device)

Public method to read the description.

device
  device to read the description from (QIODevice)

Return:
  search engine object (OpenSearchEngine)

Up